Loading...
Searching...
No Matches
UriParserStateStructA Struct Reference

`#include <Uri.h>`

## Data Fields

UriUriA * | uri
int | errorCode
const char * | errorPos
void * | reserved

## Detailed Description

Represents a state of the URI parser. Missing components can be NULL to reflect a components absence.

See also
  uriFreeUriMembersA
  uriFreeUriMembersMmA

Since
  0.3.0

## Field Documentation

## errorCode

int errorCode

Code identifying the error which occurred

## errorPos

const char* errorPos

Pointer to position in case of a syntax error

## reserved

void* reserved

Reserved to the parser

## uri

UriUriA* uri

Plug in the URI structure to be filled while parsing here

The documentation for this struct was generated from the following file:

- Uri.h